PAUSE(2)

NAME
pause - stop until signal

SYNOPSIS
#include <unistd.h>
int pause(void)

DESCRIPTION
Pause never returns normally. It is used to give up control while waiting for a signal from kill(2) or the alarm timer, see alarm(2). Upon termination of a signal handler started during a pause, the pause call will return.

RETURN VALUE
Always returns -1.

ERRORS
Pause always returns:

[EINTR]
    The call was interrupted.

SEE ALSO
alarm(2), kill(2), sigsuspend(2).